classification
Title: plistlib.FMT_BINARY behavior doesn't send required dict parameter
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: n8henrie, ned.deily, python-dev, ronaldoussoren, serhiy.storchaka
Priority: normal Keywords:

Created on 2014-06-30 17:08 by n8henrie, last changed 2014-07-23 16:04 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
plistlib_explicit_fmt.path serhiy.storchaka, 2014-07-07 17:39 review
Messages (4)
msg221969 - (view) Author: Nathan Henrie (n8henrie) Date: 2014-06-30 17:08
When using the new plistlib.load and the FMT_BINARY option, line 997: 

p = _FORMATS[fmt]['parser'](use_builtin_types=use_builtin_types)

doesn't send the dict_type to _BinaryPlistParser.__init__ (line 601), which has dict_type as a required positional parameter, causing an error

def __init__(self, use_builtin_types, dict_type):

My first bugs.python.org report, hope I'm doing it right...
msg221977 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-06-30 19:42
Thanks for the report.  Can you supply a test case and/or a fix patch?  Ideally, the test case would be a patch to Lib/test/test_plistlib.py.  If you're interested, there's more info here: https://docs.python.org/devguide/
msg222483 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-07 17:39
Here is a patch.
msg223743 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-23 15:50
New changeset 09746dc1a3b4 by Serhiy Storchaka in branch '3.4':
Issue #21888: plistlib's load() and loads() now work if the fmt parameter is
http://hg.python.org/cpython/rev/09746dc1a3b4

New changeset 275d02865d11 by Serhiy Storchaka in branch 'default':
Issue #21888: plistlib's load() and loads() now work if the fmt parameter is
http://hg.python.org/cpython/rev/275d02865d11
History
Date User Action Args
2014-07-23 16:04:38serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-07-23 15:50:30python-devsetnosy: + python-dev
messages: + msg223743
2014-07-23 15:30:22serhiy.storchakasetassignee: serhiy.storchaka
2014-07-07 17:39:10serhiy.storchakasetfiles: + plistlib_explicit_fmt.path

messages: + msg222483
stage: test needed -> patch review
2014-06-30 19:42:26ned.deilysetversions: + Python 3.5
nosy: + ned.deily, serhiy.storchaka, ronaldoussoren

messages: + msg221977

stage: test needed
2014-06-30 17:08:19n8henriecreate